
function initUI(style,content)
{
	$('#gameBorder').remove();
	$('#dialog').remove();
	$('#msgbox').remove();
	$('head').append('<link href="https://fonts.googleapis.com/css?family=Cairo:300|Dosis:200" rel="stylesheet">');
	//$('head').append('<link href="https://fonts.googleapis.com/css?family=Cairo:300" rel="stylesheet">');
	//$('head').append('<link href="https://fonts.googleapis.com/css?family=Dosis:200" rel="stylesheet">');

}

function appendUI(elem,text)
{
	$(elem).append(text);
}

function test(val)
{
	alert(typeof val);
	alert(val);
	for (prop in val) {
		alert(typeof prop);
	}
}



function printToFeed(type,string)
{
	var output = "";
	var validTypes = ["standard","player","alert","combat","system"];
	var feedID = parseInt($('#feed').attr("data-feedid"));

	for(var i = 0; i < validTypes.length; i++)
	{
		if(type == validTypes[i])
		{
			output += "<p";
			output += " id='feed-output-"+feedID+"'";
			output += " class='feed-"+type+"'";
			output += ">";
			output += string;
			output += "</p>";

			$('#feed').append(output);
			$('#feed').attr("data-feedid",feedID+1);

			return;
		}
	}

	alert("Invalid type sent to feed");
	//ASLEvent("ASLLog","Feed send failed: invalid feed type");
}

function runEvent(object,event) 
{
	//ASLEvent("aslRunEvent",object+"|"+event);
	ASLEvent("aslRunEvent",createASLString(object,event));
}

function runButton(elem)
{
	//alert(elem.getAttribute("data-type"));
	if(elem.getAttribute("data-type") == "event") {
		ASLEvent("aslRunEvent",createASLString(elem.getAttribute("data-object"),elem.getAttribute("data-key")));
	}
	else {
		ASLEvent("aslRunHelper",createASLString(elem.getAttribute("data-object"),elem.getAttribute("data-key")));
	}
}

/*
function printToFeed(type,string)
{
	var output = "";
	var validTypes = ["standard","player","alert","combat","system"];
	var feedID = parseInt($('#feed-content').attr("data-feedid"));

	for(var i = 0; i < validTypes.length; i++)
	{
		if(type == validTypes[i])
		{
			output += "<p";
			output += " id='feed-output-"+feedID+"'";
			output += " class='feed-"+type+"'";
			output += ">";
			output += string;
			output += "</p>";

			$('#feed-content').append(output);
			$('#feed-content').attr("data-feedid",feedID+1);

			return;
		}
	}

	alert("Invalid type sent to feed");
	//ASLEvent("ASLLog","Feed send failed: invalid feed type");
}
*/

function clearFeed()
{
	//
	$("#feed").html("");
	//getElementById("#feed").innerHTML = "";
	//
}

function updateLocation(string)
{
	//document.getElementById("loc").innerHTML = string;
	$('#loc').text(string);
}



function updateMenu_HUD(a,b,c,d)
{
	//document.getElementById("loc").innerHTML = string;
	$('#hud-hp').text(a);
	$('#hud-mhp').text(b);
	$('#hud-tp').text(c);
	$('#hud-mtp').text(d);
}

function updateMenu_World(exitString,peopleString)
{
	$('#menu-exits').html(exitString);
	$('#menu-people').html(peopleString);
}




function sendString()
{

}

function sendBoolean()
{
	
}

function sendInt()
{
	
}

function sendDouble()
{
	
}


function updateAllInputs()
{
	var inputs = document.getElementsByTagName("input");

	for(i = 0; i < inputs.length; i++) {
		alert(inputs[i].id);
		updateInput(inputs[i]);
	}
}


function updateInput(elem)
{
	//Formats and updates the the <input> element specified
	var ret = "";

	switch(elem.type)
	{
		case "text":
			elem.value = elem.value.trim();
			break;
		case "radio":
			//elem.checked = !(elem.checked);
			alert(elem.checked);
			if(elem.checked) elem.value = elem.value;
			else return;
			break;
		case "checkbox":
			//if(elem.hasAttribute("checked")) {
				alert(elem.checked);
			if(elem.checked) {
				//elem.removeAttribute("checked");
				//elem.checked = false;
				elem.value = "false";
			}
			else {
				//elem.setAttribute("checked","checked");
				//elem.checked = true;
				elem.value = "true";
			}
			break;
		case "range":
			break;
		default:

	}

	ret = createASLString(elem.getAttribute("data-object"),elem.type,elem.value);

	//alert(ret);

	ASLEvent("aslUpdateInput",ret);
}

function changeInput(id,value)
{
	//Formats and updates the the <input> element specified

	elem = getElementById(id);

	elem.value = value;
}

function createASLString()
{
	//Takes a list of parameters and converts them into a string that will be passed 
	//to ASLEvent() and parsed by the Quest function HandleASLString.

	var str = "";

	for(var i = 0; i < arguments.length; i++)
	{
		str += arguments[i];
		if(i < arguments.length-1)
			str += "|";
	}

	//alert("ASL String: "+str);

	return str;
}